> For the complete documentation index, see [llms.txt](https://docs.suggestic.com/graphql/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.suggestic.com/graphql/helpful-resources/deprecated-features.md).

# Deprecated Features

This document contains information about which functionalities will become or have been marked as deprecated.&#x20;

{% hint style="info" %}
*Deprecated functionalities are not totally removed. However, using them, some unexpected behaviors may occur.*
{% endhint %}

## Deprecated Queries

| **Deprecated Query**                                                                          | **Instead Use:**                                                          |
| --------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------- |
| [`mealPlannerByDay`](https://docs.suggestic.com/graphql/query/queries/meal-plan/meal-planner) | [Meal Plan](https://docs.suggestic.com/graphql/query/queries/meal-plan-1) |

## Deprecated Mutations

| **Deprecated Mutation**                                                                                                 | **Instead Use:**                                                                                                      |
| ----------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| [`profileMealPlanSettings`](https://docs.suggestic.com/graphql/query/mutations/user-profile/profile-meal-plan-settings) | [`updateMealPlanSettings`](https://docs.suggestic.com/graphql/query/mutations/user-profile/update-meal-plan-settings) |
| [`createOwnRecipe`](/graphql/query/mutations/food-log/users-foods-and-recipes/own-recipe/create-own-recipe.md)          | [`CreateMyRecipe`](/graphql/query/mutations/food-log/users-foods-and-recipes/create-a-user-recipe.md)                 |
| [`updateOwnRecipe`](/graphql/query/mutations/food-log/users-foods-and-recipes/own-recipe/update-own-recipe.md)          | [`updateMyRecipe`](/graphql/query/mutations/food-log/users-foods-and-recipes/update-a-user-recipe.md)                 |
| [`removeOwnMeal`](/graphql/query/mutations/food-log/users-foods-and-recipes/own-recipe/remove-own-recipe.md)            | [`deleteUserRecipe`](/graphql/query/mutations/food-log/users-foods-and-recipes/delete-a-user-recipe.md)               |

## Deprecated Fields

### Recipe Object

The following [recipe](https://docs.suggestic.com/graphql/objects/recipe/recipe-object) fields are deprecated:

| **Deprecated Field**                                                                                 | **Instead Use:**      |
| ---------------------------------------------------------------------------------------------------- | --------------------- |
| `adherence`                                                                                          | `adherenceDetails`    |
| `course`                                                                                             | `courses`             |
| `cuisine`                                                                                            | `cuisines`            |
| `nutrients`                                                                                          | `nutrientsPerServing` |
| [`parsedIngredientLines`](https://docs.suggestic.com/graphql/objects/recipe/parsed-ingredient-lines) | `ingredientLines`     |
| `serving`                                                                                            | `servings`            |
| `sourceUrl`                                                                                          | `sourceUrlWorks`      |

### Restaurant Object

The following [restaurant](https://docs.suggestic.com/graphql/objects/common/restaurant) fields are deprecated:

| **Deprecated Field** | **Instead Use:** |
| -------------------- | ---------------- |
| `cuisine`            | `cuisines`       |
| `cuisineTag`         | `cuisines`       |
| `maxPriceRange`      | `priceRating`    |
| `minPriceRange`      | `priceRating`    |

### Menu Items object

The following [`menuitems`](https://docs.suggestic.com/graphql/query/queries/restaurants/menu-items) and [`recommendedMenuitems`](https://docs.suggestic.com/graphql/query/queries/restaurants/recommend-menu-items)fields are deprecated:

<table data-header-hidden><thead><tr><th width="331">Deprecated Field</th><th>Instead use:</th></tr></thead><tbody><tr><td><strong>Deprecated Field</strong></td><td><strong>Instead use:</strong></td></tr><tr><td><code>course</code></td><td><code>courses</code></td></tr><tr><td><code>nutrients</code></td><td><code>nutritionalInfo</code></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.suggestic.com/graphql/helpful-resources/deprecated-features.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
